<?php
/*
Theme Designed By: Meysam Hosseinkhani
Email: Meysam98@Gmail.com
Author Website: i-design.ir
*/
/*
 * Template Name: User Panel (DinaKala)
*/
// Exit if accessed directly
__( 'User Panel (DinaKala)', 'dina-kala' );
//dfile_check();

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;
get_header();


//dina_detect_user_panel_link
add_action( 'wp_footer', 'dina_detect_user_panel_link', 100 );
function dina_detect_user_panel_link(){
    ?>
    <script>
        jQuery(document).ready(function ($) {
            var loc = window.location.href;
            $(".woocommerce-MyAccount-navigation ul a").each(function() {
                if (loc.indexOf($(this).attr("href")) != -1) {
                    $(".woocommerce-MyAccount-navigation ul li").removeClass("is-active");
                    $(this).closest("li").addClass("is-active");
                }
            });
        });
    </script>
    <?php
}
?>
<div class="container woocommerce-account main-con">
<?php if ( dina_opt( 'show_bread' ) ) { dina_breadcrumb(); } ?>
<div class="row">
<article role="main" class="col-12">
   <div class="woocommerce">
<?php

if ( class_exists( 'WooCommerce' ) ) {
   
   require_once WP_PLUGIN_DIR .'/woocommerce/templates/myaccount/navigation.php';	

}

?>

<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
<div class="woocommerce-MyAccount-content">   
   <?php the_content(); ?>
</div>
<?php endwhile; endif; ?>

</div>
</article>
</div>
</div>

<?php get_footer(); ?>