<?php
//dina_before_account_navigation
add_action('woocommerce_before_account_navigation', 'dina_before_account_navigation');
function dina_before_account_navigation(){
    $before = '<div class="woocommerce-MyAccount-navigation-con">';
    $user = wp_get_current_user(); 
    $edit_profile = get_option( 'woocommerce_myaccount_edit_account_endpoint', 'edit-account' );
    $before .= '<div class="dina-user-avatar-container">';
    $before .= '<a href="' . esc_url( dina_myaccount_link() . $edit_profile ) .'" class="dina-edit-profile" title="'. __( 'Edit Profile', 'dina-kala' ) .'">';
	$before .= get_avatar( get_current_user_id() , 120,'' ,$user->display_name );
    $before .= '<i class="dina-edit-profile-icon fal fa-user-edit" aria-hidden="true"></i>';
    $before .= '</a>';
    $before .= '</div>';
    $before .='<span class="side-uname">'. $user->display_name .'</span>';
	if (class_exists('WooWallet') )
	{
        $wallet = woo_wallet()->wallet->get_wallet_balance( get_current_user_id() );
        $before .= '<span class="m-wallet">'. __( 'Wallet Inventory: ', 'dina-kala' ) . $wallet .'</span>';
    }

    echo $before;

    do_action ( 'dina_after_account_wallet_balance' );
}

//dina_after_account_navigation
add_action('woocommerce_after_account_navigation', 'dina_after_account_navigation');
function dina_after_account_navigation(){
    echo '</div>';
}